Page MenuHomePhabricator

Add ResourceLoaderWikiModule validation to extension.json schema
Closed, ResolvedPublic

Description

In extension.schema.json, we valid ResourceLoaderFileModule and ResourceLoaderImageModule definitions, we should also validate ResourceLoaderWikiModule definitions.

See https://gerrit.wikimedia.org/r/#/c/286252/4/extension.json,cm which added it to an extension.

Details

Related Gerrit Patches:

Event Timeline

Legoktm created this task.May 2 2016, 11:36 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 2 2016, 11:36 PM
Legoktm claimed this task.Jun 22 2016, 9:58 PM

Change 295646 had a related patch set uploaded (by Legoktm):
registration: Add schema validation ResourceLoaderWikiModule

https://gerrit.wikimedia.org/r/295646

Jdforrester-WMF closed this task as Resolved.Jul 4 2016, 6:44 AM
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF removed a project: Patch-For-Review.

Change 295646 merged by jenkins-bot:
registration: Add schema validation ResourceLoaderWikiModule

https://gerrit.wikimedia.org/r/295646